Forums

Problem with 4.0.6

REPERTOIRE variable not set

Auteur Réponses
Gustra Dimanche 21 Aoüt 2011 à 0:00
GustraAnonymous

Hi,

I upgraded to 4.0.6 today and a script I have made has stopped working. It generates these kinds or errors (in Swedish):

mkdir: kan inte skapa katalog "/plugins": Åtkomst nekas
/usr/share/playonlinux/lib/plugins.lib: rad 128: cd: /plugins: Filen eller katalogen finns inte
mkdir: kan inte skapa katalog "/configurations": Åtkomst nekas
/usr/share/playonlinux/lib/setupwindow.lib: rad 41: /configurations/guis/20854: Filen eller katalogen finns inte
/usr/share/playonlinux/lib/setupwindow.lib: rad 42: /configurations/guis/index_: Filen eller katalogen finns inte

These are errors due to that the REPERTOIRE variable is not set. When I downgrade to the old version for Ubuntu Natty, 3.8.8, then the script works again. Has there been a change in the handling of the REPERTOIRE variable in 4.x versions? Currently my script does at the very beginning:

# This variable must be initialized before PlayOnLinux
myscript=`realpath "$0"`

[ -z "$PLAYONLINUX" ] && exit
source "$PLAYONLINUX/lib/sources"

export PREFIX="${REPERTOIRE}/wineprefix"

What do I need to do to fix this?

BR
Gunnar
Quentin PÂRIS Dimanche 21 Aoüt 2011 à 0:10
Quentin PÂRIS
Admin

PlayOnLinux Console : echo $REPERTOIRE

It works for me
Gustra Dimanche 21 Aoüt 2011 à 11:25
GustraAnonymous

Ok, now I realize. I am executing my script from the command line. And I guess in 3.x, the REPERTOIRE variable is setup in the initial source ($PLAYONLINUX/lib/sources), while in 4.0.6 it's already assumed to be in the environment? Could that be it? If not, where is the REPERTOIRE variable set?
Quentin PÂRIS Dimanche 21 Aoüt 2011 à 11:28
Quentin PÂRIS
Admin

In PlayOnLinux 4.0, all environement vars are set by python. Consequently, you can't run a script from outside

You must use playonlinux-bash tool, or run your script from PlayOnLinux console
Gustra Dimanche 21 Aoüt 2011 à 23:19
GustraAnonymous

Thanks.
Vous êtes ici: Index > PlayOnLinux > Problem with 4.0.6